Bug 448633 - apcupsd-3.14.1-init.patch
apcupsd-3.14.1-init.patch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: apcupsd (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 19:55 EDT by Nerijus Baliūnas
Modified: 2008-06-14 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.14.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 00:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2008-05-27 19:55:56 EDT
apcupsd src rpm contains apcupsd-3.14.1-init.patch, which includes:

+    condrestart)
+       [ -f /var/lock/subsys/ypbind ] && $0 restart || :
+       ;;

What does /var/lock/subsys/ypbind have to do with apcupsd?
Comment 1 Tomas Smetana 2008-05-28 03:21:20 EDT
I'll fix this together with rebase to 3.14.4.  Thanks for reporting.
Comment 2 Nerijus Baliūnas 2008-05-28 07:02:07 EDT
BTW, you can use smp flags for make in 3.14.4, as makefile system was completely
rewritten (and powerflute with nls removed).
Comment 3 Fedora Update System 2008-05-28 08:40:16 EDT
apcupsd-3.14.4-1.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-30 22:15:24 EDT
apcupsd-3.14.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apcupsd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4761
Comment 5 Nerijus Baliūnas 2008-06-01 09:30:51 EDT
gettext-devel and ncurses-devel are no longer needed in spec file, as powerflute
and nls were removed.

Why an old patch apcupsd-3.14.1-cloexec.patch was added again? Wasn't it fixed
in apcupsd 3.14.2?

* Wed Oct 10 2007 - Orion Poplawski <orion@cora.nwra.com> - 3.14.2-1
- Update to 3.14.2, remove upstreamed patches

* Wed Aug  1 2007 - Orion Poplawski <orion@cora.nwra.com> - 3.14.1-3
- Add patch to close open file descriptors (bug #247162)

Install binaries: is still /usr/sbin, but according to bug #346271, if /usr is a
separate filesystem, it will be unmounted at the point of killpower. Could you
please install binaries in /sbin, as nut package does?
Comment 6 Tomas Smetana 2008-06-02 02:06:15 EDT
I have added the cloexec patch back for I failed to find the changes in the
upstream code and I'll take a look at moving the binaries to /sbin.
Comment 7 Adam Kropelin 2008-06-02 18:41:53 EDT
This was fixed upstream in a different way:

src/lib/apcexec.c:178:
/* Don't leak unnecessary fds to child */
for (int i=0; i<sysconf(_SC_OPEN_MAX); i++) {
   if (i != STDIN_FILENO && i != STDOUT_FILENO && i != STDERR_FILENO) {
      if (close(i) == 0)
         Dmsg1(200, "exec closed fd %d\n", i);
   }
}
Comment 8 Tomas Smetana 2008-06-03 02:26:00 EDT
Thanks. I'll drop the path again then.
Comment 9 Fedora Update System 2008-06-06 06:36:02 EDT
apcupsd-3.14.4-2.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-06-14 00:16:21 EDT
apcupsd-3.14.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.